Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4694 - XFree86 leaks memory
Summary: XFree86 leaks memory
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 6.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-24 20:57 UTC by hkelle
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-29 16:16:49 UTC


Attachments (Terms of Use)

Description hkelle 1999-08-24 20:57:07 UTC
Over time, the memory used by XFree86 increases.
It seems to be related to how many processes
use the X server. When I start X on my computer
the X server uses 11Mb (1280x1024 32bpp).
After opening 20 konsole processes and 20
netscape-communicator processes
and closing them again the X server uses 22Mb.
Further usage of X increases the memory used.
I'm using the XF86_SVGA server and a friend also having
this problem is using the XF86_Mach64 server.
The problem has been seen under both KDE (1.1.2 snapshot)
and fvwm (shipped with redhat6 and then using xterm
instead of konsole).
We've seen the memory usage of X go up to 90Mb.

Comment 1 wwong6 1999-08-28 06:05:59 UTC
Hi:
    After I quit X and went back to the shell, I found some of the
xterm did not remove.

    Details:
    I login into the system as 'root' and runs X windows
(startx, using FBDev) with GNOME. I open several 'xterm', when
I leave, I did not close those 'xterm' and I just choose logout
under GNOME. So, I go back to the linux shell. When I use top to
check the memory usage, I found those 'xterm' still exist and taking
up resources.

     I've try this under GNOME, xdm (fvwm95) and I still get the
same thing, but I did not try this under KDE. I use the regular
'xterm', not the 'GNOME-terminal'.

     I am not sure I have to remove all xterm myself before I quit or
this is a bug or I did something wrong.

     I am using redhat 6.0, distribution under info-magic 6 CD set.

     Please check, thank you for your time.

     Name: Wai Lun  Wong.
    email: wwong6@hotmail.com

Comment 2 Preston Brown 1999-08-29 16:16:59 UTC
make sure you have the XFree86 and utempter errata files, they fix the
"xterms not dying" problem.

X isn't really leaking memory.  When programs use X pixmaps, they take
up server memory.  kfm is a big culprit here, and the KDE team knows
about it, they are working on fixing the problem for KDE 2.0.
Netscape is another beast, but i doubt that AOL is going to fix this.

Basically, there is nothing that can be done about this other than to
write "smarter" and more "lightweight" X clients.


Note You need to log in before you can comment on or make changes to this bug.